{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>{{ todolist.name }}</h1>
            <div>
                <p>
                    <a href="{% url 'todo_list_update' todolist.pk %}">Edit</a>
                </p>
                <p>
                    <a href="{% url 'todo_list_delete' todolist.pk %}">Delete</a>
                </p>
            </div>
            <h2>Tasks</h2>
            <table>
                <thead>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for todoitem in todolist.items.all %}
                        <tr>
                            <td>
                                <a href="{% url 'todo_item_update' todoitem.pk %}">{{ todoitem.task }}</a>
                            </td>
                            <td>{{ todoitem.due_date }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
{% endblock content %}
